Skip to content

Import contacts

POST
/api/v1/contacts/import
curl --request POST \
--url https://renotify.app/api/v1/contacts/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "path": "entity-imports/import_123.xlsx", "mapping": { "name": "Full Name", "phone": "Phone" } }'

Import contacts from a previously uploaded file using the provided column mapping.

Media typeapplication/json
object
path
required

The temporary upload path returned by the preview endpoint.

string
Example
entity-imports/import_123.xlsx
mapping
required

The column mapping for the file.

object
name
required

The column containing contact names.

string
Example
Full Name
phone
required

The column containing phone numbers.

string
Example
Phone
email

The column containing email addresses.

string
nullable
Example
Email
marketing_consent

The column saying whether the contact gave WhatsApp marketing consent (yes/no).

string
nullable
Example
Marketing Consent
Example
{
"name": "Full Name",
"phone": "Phone"
}